org.icefaces.ace.component.animation

## Class AnimationBehavior

- java.lang.Object
- - javax.faces.component.behavior.BehaviorBase
  - - javax.faces.component.behavior.ClientBehaviorBase
    - - org.icefaces.ace.component.animation.BehaviorBase
      - - org.icefaces.ace.component.animation.AnimationBehavior

- All Implemented Interfaces:
    javax.faces.component.behavior.Behavior, javax.faces.component.behavior.ClientBehavior, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder

      public class AnimationBehavior
      extends BehaviorBase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `AnimationBehavior.IIterator`
    `static class` | `AnimationBehavior.Iterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BEHAVIOR_ID`

    - ### Fields inherited from class org.icefaces.ace.component.animation.BehaviorBase

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnimationBehavior()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent uiComponent)`
    `protected java.lang.Object` | `eval(java.lang.String propertyName, java.lang.Object value)`
    `java.lang.Double` | `getDuration()`
    `java.lang.String` | `getEasing()`
    `Effect` | `getEffect()`
    `protected java.lang.String` | `getEffectsLib()`
    `java.lang.String` | `getFrom()`
    `java.lang.Integer` | `getIterations()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getScript(javax.faces.component.behavior.ClientBehaviorContext behaviorContext)`
    `java.lang.String` | `getScript(javax.faces.component.behavior.ClientBehaviorContext behaviorContext, boolean run)`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTo()`
    `javax.el.ValueExpression` | `getValueExpression(java.lang.String name)`
    `boolean` | `isRun()`
    `boolean` | `isUsingStyleClass()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setDuration(java.lang.Double duration)`
    `void` | `setEasing(java.lang.String easing)`
    `void` | `setEffectObject(Effect effect)`
    `protected void` | `setEffectsLib(java.lang.String effectsLib)`
    `void` | `setFrom(java.lang.String from)`
    `void` | `setIterations(java.lang.Integer iterations)`
    `protected void` | `setLiteralValue(java.lang.String propertyName, javax.el.ValueExpression expression)`
    `void` | `setName(java.lang.String name)`
    `void` | `setRun(boolean run)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTo(java.lang.String to)`
    `void` | `setUsingStyleClass(boolean usingStyleClass)`
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`

    - ### Methods inherited from class org.icefaces.ace.component.animation.BehaviorBase

      `restoreAttachedState, restoreBindingsState, saveAttachedState, saveBindingsState`

    - ### Methods inherited from class javax.faces.component.behavior.ClientBehaviorBase

      `getHints, getRenderer, getRendererType`

    - ### Methods inherited from class javax.faces.component.behavior.BehaviorBase

      `addBehaviorListener, broadcast, clearInitialState, initialStateMarked, isTransient, markInitialState, removeBehaviorListener, setTransient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.Behavior

      `broadcast`

- - ### Field Detail

    - #### BEHAVIOR_ID

          public static final java.lang.String BEHAVIOR_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AnimationBehavior

          public AnimationBehavior()

  - ### Method Detail

    - #### getTo

          public java.lang.String getTo()

    - #### setTo

          public void setTo(java.lang.String to)

    - #### getFrom

          public java.lang.String getFrom()

    - #### setFrom

          public void setFrom(java.lang.String from)

    - #### getEasing

          public java.lang.String getEasing()

    - #### setEasing

          public void setEasing(java.lang.String easing)

    - #### getIterations

          public java.lang.Integer getIterations()

    - #### setIterations

          public void setIterations(java.lang.Integer iterations)

    - #### getDuration

          public java.lang.Double getDuration()

    - #### setDuration

          public void setDuration(java.lang.Double duration)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String style)

    - #### setEffectObject

          public void setEffectObject(Effect effect)

    - #### getEffect

          public Effect getEffect()

    - #### setName

          public void setName(java.lang.String name)

    - #### getName

          public java.lang.String getName()

    - #### setRun

          public void setRun(boolean run)

    - #### isRun

          public boolean isRun()

    - #### getEffectsLib

          protected java.lang.String getEffectsLib()

    - #### setEffectsLib

          protected void setEffectsLib(java.lang.String effectsLib)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

    - #### setUsingStyleClass

          public void setUsingStyleClass(boolean usingStyleClass)

    - #### isUsingStyleClass

          public boolean isUsingStyleClass()

    - #### getScript

          public java.lang.String getScript(javax.faces.component.behavior.ClientBehaviorContext behaviorContext)

      Specified by:
        `getScript` in interface `javax.faces.component.behavior.ClientBehavior`
      Overrides:
        `getScript` in class `javax.faces.component.behavior.ClientBehaviorBase`

    - #### getScript

          public java.lang.String getScript(javax.faces.component.behavior.ClientBehaviorContext behaviorContext,
                                            boolean run)

    - #### decode

          public void decode(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)

      Specified by:
        `decode` in interface `javax.faces.component.behavior.ClientBehavior`
      Overrides:
        `decode` in class `javax.faces.component.behavior.ClientBehaviorBase`

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent uiComponent)

    - #### eval

          protected java.lang.Object eval(java.lang.String propertyName,
                                          java.lang.Object value)

    - #### getValueExpression

          public javax.el.ValueExpression getValueExpression(java.lang.String name)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

    - #### setLiteralValue

          protected void setLiteralValue(java.lang.String propertyName,
                                         javax.el.ValueExpression expression)

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.behavior.BehaviorBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.behavior.BehaviorBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.